Subject: RE: 6to4 relays [Re: WG Review: IPv6 Operations (v6ops)]

From: "Bound, Jim" <[email-masked]>
Date: Tue, 10 Sep 2002 10:46:39 -0400

We cannot encourage XPs to do anything Brian.  What will do that is not here in the IETF.  This is the ego I was talking about.  The market just wants our specs not our wisdom in the IETF.  I am having discussions with XPs in other fora and be glad to discuss this with you offline.  But this body is to build standards.

/jim

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Tuesday, September 10, 2002 10:27 AM
> To: [email-masked]
> Subject: 6to4 relays [Re: WG Review: IPv6 Operations (v6ops)]
> 
> 
> Francis Dupont wrote:
> > 
> >  In your previous mail you wrote:
> > 
> >    > => I am not convinced by 6to4. For instance by the 
> 6to4-relay concept.
> > 
> >    6to4 relays cause some rather interesting problems, 
> especially relating to
> >    quality of service (too few of them at the moment, 
> leading to huge
> >    delays connecting to 6to4 nodes from some areas).
> 
> If the worst problem with 6to4 is already a purely operational one,
> I'm not at all distressed, and I wonder whether we can encourage
> all XPs to operate a 6to4 relay?
> 
>    Brian
> 
>

---

From: "Bound, Jim" <[email-masked]>
Date: Tue, 10 Sep 2002 10:47:00 -0400

I also have major problems with the relay as it is currently defined.
/jim

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 11 Sep 2002 07:55:19 -0400

6to4 assumes a NAT is not in the way of the relay.  Teredo addresses the case where there is a NAT in the way.  And why I think Teredo is very important to work on from v6 operations perspective.  I have NAT in my home (I know I know) and can see Teredo or daughter of Teredo (that not being defined) helping me in my home.  6to4 won't work my ISP don't have the address space to give each of us the v4 addr space.  DSTM has the same problem and ISATAP would only have private address to help me out.  Teredo gives me some chance without completely blowing my network away.

/jim

> From: Randy Bush [mailto:[email-masked]]
> Sent: Wednesday, September 11, 2002 7:00 AM
> To: Francis Dupont
> Cc: Brian E Carpenter; Pekka Savola; [email-masked]
> Subject: Re: 6to4 relays [Re: WG Review: IPv6 Operations (v6ops)] 
> 
> 
> >> We are still missing an RFC really analysing host-based 6to4,
> >> and until that work has been done we don't know what is bogus.
> > a new work item for the v6ops WG?
> 
> how is this different from what shipworm is trying to solve?
> 
> randy
> 
> 
>

---

From: "Bound, Jim" <[email-masked]>
Date: Thu, 12 Sep 2002 10:28:52 -0400

note T64 can do the routing too and the relay as a host and we have customers using it.
that will be done on hp-ux too.  but we turn on interface as router according to ND rules.  we use this to assist our routing partners for v6 deployment.

/jim

> Sent: Thursday, September 12, 2002 9:06 AM
> To: Jun-ichiro itojun Hagino
> Cc: Pekka Savola; [email-masked]
> Jun-ichiro itojun Hagino wrote:
> > 
> > >The specification that the IETF actually approved was for 
> router-based
> > >6to4, not host-based, and it was assumed that router 
> operators would
> > >club together to configure and share relays. Clearly, a client-host
> > 
> >         WinXP node can become a router, so there's nothing 
> prohibiting WinXP
> >         from running 6to4.  in fact, i don't see any 
> distinction between
> >         "router-based 6to4" and "host-based 6to4" in the 
> RFC.  am i mistaken?
> 
> From the Introduction to RFC 3056:
> 
> >    The basic mechanism described in the present document, 
> which applies
> >    to sites rather than individual hosts, will scale indefinitely by
> >    limiting the number of sites served by a given relay router (see
> >    Section 5.2).  It will introduce no new entries in the 
> IPv4 routing
> >    table, and exactly one new entry in the native IPv6 routing table
> >    (see Section 5.10).
> > 
> >    Although the mechanism is specified for an IPv6 site, it 
> can equally
> >    be applied to an individual IPv6 host or very small 
> site, as long as
> >    it has at least one globally unique IPv4 address.  However, the
> >    latter case raises serious scaling issues which are the 
> subject of
> >    further study [SCALE].
> 
>     Brian
> 
>